package contract_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type ContractDeleteActionRequest struct {
	ContractInfo *common.ContractRequest `json:"contractInfo"`
	ActionInfo   *common.ActionInfo      `json:"actionInfo"`
	Operator     *common.UserInfoRequest `json:"operator,omitempty"`
}

func (obj ContractDeleteActionRequest) GetUrl() string {
	return "/contract/delete/action"
}

func (obj ContractDeleteActionRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
